@ECHO OFF
REM
REM Setup BICsuite environment
REM

CALL COMMON.BAT
IF [%ERRORLEVEL%]==[0] GOTO PAST_COMMON
SET BICSUITE_BATCH_EXITCODE=%ERRORLEVEL%
GOTO DOEXIT
:PAST_COMMON
SET BICSUITE_BATCH_EXITCODE=0
SET ERRORLEVEL=

PUSHD "%BICSUITEHOME%\bin"
ECHO Opening SDMSpopup window ...
"%BICSUITEJAVA_TL%" -cp "%BICSUITEJAR%;%BICSUITEHOME%\lib\swt.jar" de.independit.scheduler.demo.SDMSpopup %*
SET BICSUITE_BATCH_EXITCODE=%ERRORLEVEL%
ECHO SDMSpopup exited with ERRORLEVEL %BICSUITE_BATCH_EXITCODE%
POPD

:DOEXIT
REM
REM Exit depending on windows version
REM
IF [%WIN_VERSION%]==[WIN_NT] EXIT /B %BICSUITE_BATCH_EXITCODE% >NUL
SET ERRORLEVEL=%BICSUITE_BATCH_EXITCODE%

